﻿<?xml version="1.0" encoding="utf-8" ?>
<forms:BaseContentPage xmlns:forms="clr-namespace:Storm.Mvvm.Forms;assembly=Storm.Mvvm.Forms"
                       xmlns="http://xamarin.com/schemas/2014/forms"
                       xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml" xmlns:converters="clr-namespace:TimeTracker.Apps.Converters"
                       x:Class="TimeTracker.Apps.Pages.AddProjectPage">

    <ContentPage.ToolbarItems>
        <ToolbarItem IconImageSource="home.png"
                     Order="Primary"
                     Command="{Binding HomeCommand}"
                     Priority="0" />
        <ToolbarItem IconImageSource="logout.png"
                     Order="Primary"
                     Command="{Binding LogoutCommand}"
                     Priority="1" />
    </ContentPage.ToolbarItems>
    
    <ContentPage.Resources>
        <converters:AddOrEditProjectConverter x:Key="AddOrEditProjectConverter" />
        <converters:CreationOrEditionProjectConverter x:Key="CreationOrEditionProjectConverter" />
    </ContentPage.Resources>
    <StackLayout Margin="{StaticResource Margin}">
        <Label Text="{Binding ProjectId, Converter={StaticResource CreationOrEditionProjectConverter}}"
               Style="{DynamicResource Style_Title}"/>
        <Label Text="Nom"
               Style="{DynamicResource Style_Label1}"/>
        <Entry Text="{Binding Name}" Placeholder="Nom"/>
        <Label Text="Description"
               Style="{DynamicResource Style_Label1}"/>
        <Entry Text="{Binding Description}" Placeholder="Description" />
        <Button Text="{Binding ProjectId, Converter={StaticResource AddOrEditProjectConverter}}" Command="{Binding ValidateCommand}"/>
        <Button Text="Annuler" Command="{Binding CancelCommand}"/>
    </StackLayout>
    
</forms:BaseContentPage>